// ===========================================================================
//	File:						CInternalCmdKeyAttachment.h
// Version:					1.0.1 - Jan 31, 1997
//	Author:					Mike Shields (mshields@inconnect.com)
//							
//	Copyright 1996 Mike Shields. All rights reserved.
// ===========================================================================
//
//	Class which handles drawing and responding to command keys when it is attached 
// to a button

#pragma once

#include "CCmdKeyAttachment.h"

class CInternalCmdKeyAttachment : CCmdKeyAttachment
										
{
public:
	enum { class_ID = 'INck' };
	
	static CInternalCmdKeyAttachment* CreateFromStream(LStream *inStream);
	
						CInternalCmdKeyAttachment();
						CInternalCmdKeyAttachment(LStream *inStream);
	virtual			~CInternalCmdKeyAttachment();
	
	virtual void	EnableCommandKey(Boolean inCmdDown);

protected:
	virtual void	DrawCommandKey(Boolean inVisible);
	
	Boolean			mShowingCommandKey;
};
